Sympa::Tracking(3Sympa)

NAME
Sympa::Tracking - Spool for message tracking

SYNOPSIS
TBD.

DESCRIPTION
The tracking feature is a way to request Delivery Status Notification (DSN) or DSN and Message Disposition Notification (MDN) when sending a message to each subscribers. In that case, Sympa (bounced.pl) collect both DSN and MDN and store them in tracking spools. Thus, for each message, the user can know which subscribers has displayed, received or not received the message. This can be used for some important list where list owner need to collect the proof of reception or display of each message.

  Methods

new ( context => $list )
    Constructor. Creates new Sympa::Tracking instance.

    Parameter:

    context => $list
        Sympa::List object.

    Returns:

    New Sympa::Tracking object or "undef". If unrecoverable error occurred, this method will die.

db_fetch ( recipient => $email, envid => $envid )
    TBD.

get_recipients_status
    TBD.

register ( $message, $rcpts, reception_option => $mode )
    Instance method. Initializes notification table for each subscriber.

    Parameters:

    $message
        The message.

    $rcpts
        An arrayref of recipients.

    reception_option => $mode
        The reception option of those subscribers.

    Returns:

    1 or "undef".

store ( $message, $rcpt, [ envid => $envid, status => $status, type => $type, arrival_date => $datestring ] )
    Instance method. Store notification into tracking spool.

    Parameters:

    $message
        Notification message.

    $rcpt
        E-mail address of recipient of original message.

    envid => $envid, status => $status, type => $type, arrival_date => $datestring
        If these optional parameters are specified, notification table is updated.

    Returns:

    True value if storing succeed. Otherwise false.

find_notification_id_by_message
    TBD.

remove_message_by_email
    TBD. Introduced on Sympa 6.2.19b.

remove_message_by_id
    TBD.

remove_message_by_period
    TBD.

SEE ALSO
bounced(8), Sympa::Message, Sympa::Spool::Bounce.

HISTORY
The tracking feature was contributed by Guillaume Colotte and laurent Cailleux, French army DGA Information Superiority.

Sympa::Tracking module appeared on Sympa 6.2.